<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/normal_toolbar_container"
        android:layout_width="match_parent"
        android:layout_height="@dimen/appbar_height">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/normal_toolbar"
            style="@style/Base_ToolbarStyle"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.appcompat.widget.ActionMenuView
                android:id="@+id/actionMenuView"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="end" />
        </androidx.appcompat.widget.Toolbar>

        <TextView
            android:id="@+id/backBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:padding="10dp"
            android:text="取消"
            android:textColor="@color/text_secondary" />

        <TextView
            android:id="@+id/normal_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginLeft="50dp"
            android:layout_marginRight="50dp"
            android:gravity="center"
            android:singleLine="true"
            android:textColor="@color/text_primary"
            android:textSize="15sp" />

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/normal_toolbar_container"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/questionsedit_title_rl"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="16dp"
            android:paddingRight="16dp">

            <LinearLayout
                android:id="@+id/selectForumContainer"
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:id="@+id/forum_container"
                    android:layout_width="wrap_content"
                    android:layout_height="28dp"
                    android:background="@drawable/button_round_primary_light"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="4dp">

                    <com.gh.gamecenter.feature.view.GameIconView
                        android:id="@+id/forum_icon_view"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:visibility="gone"
                        app:gameIconBorderColor="@color/black_alpha_10"
                        app:gameIconBorderWidth="0.5dp"
                        app:gameIconCornerRadius="20dp" />

                    <TextView
                        android:id="@+id/chooseForumTv"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="8dp"
                        android:layout_marginRight="12dp"
                        android:ellipsize="end"
                        android:gravity="center_vertical"
                        android:maxLines="1"
                        android:text="选择论坛"
                        android:textColor="@color/text_theme"
                        android:textSize="12sp" />
                </LinearLayout>

                <ImageView
                    android:id="@+id/arrowIv"
                    android:layout_width="8dp"
                    android:layout_height="8dp"
                    android:layout_marginStart="7dp"
                    android:layout_marginEnd="7dp"
                    android:visibility="gone"
                    app:srcCompat="@drawable/ic_edit_arrow_right" />

                <LinearLayout
                    android:id="@+id/sectionContainer"
                    android:layout_width="wrap_content"
                    android:layout_height="28dp"
                    android:background="@drawable/button_round_primary_light"
                    android:gravity="center"
                    android:paddingStart="12dp"
                    android:paddingEnd="12dp"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/sectionName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:text="选择子版块"
                        android:textColor="@color/text_theme"
                        android:textSize="12sp" />

                    <ImageView
                        android:id="@+id/clearIv"
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        android:layout_marginStart="8dp"
                        android:visibility="gone"
                        app:srcCompat="@drawable/icon_clear" />
                </LinearLayout>

            </LinearLayout>

            <AutoCompleteTextView
                android:id="@+id/questionsedit_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@null"
                android:completionThreshold="1"
                android:dropDownVerticalOffset="1dp"
                android:hint="写下你想问的问题"
                android:lineSpacingExtra="8dp"
                android:paddingTop="16dp"
                android:paddingBottom="16dp"
                android:popupBackground="@drawable/question_edit_popup_border"
                android:textColor="@color/text_primary"
                android:textColorHint="@color/text_instance"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="16sp"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/cutting_line"
                android:background="@color/ui_divider" />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <com.gh.common.view.RichEditor
                android:id="@+id/rich_editor"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <TextView
                android:id="@+id/editPlaceholder"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingLeft="16dp"
                android:paddingTop="15dp"
                android:text="请详细描述你的问题"
                android:textColor="@color/text_instance" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    android:background="@color/ui_surface">

                    <TextView
                        android:id="@+id/activityTv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:drawableStart="@drawable/ic_choose_activity"
                        android:drawablePadding="12dp"
                        android:gravity="center_vertical"
                        android:text="添加话题标签"
                        android:textColor="@color/text_primary"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/editorTextNumTv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="16dp"
                        android:gravity="end"
                        android:text="0"
                        android:textColor="@color/text_instance"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@color/ui_divider" />

                <include
                    android:id="@+id/editor_insert_container"
                    layout="@layout/editor_insert_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true" />
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/uploadVideoGuideContainer"
                android:layout_width="264dp"
                android:layout_height="60dp"
                android:layout_marginLeft="8dp"
                android:visibility="gone"
                tools:visibility="visible">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/pic_upload_video_guide" />

                <TextView
                    android:id="@+id/uploadVideoGuideClose"
                    android:layout_width="38dp"
                    android:layout_height="38dp"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="6dp"
                    android:layout_marginRight="8dp" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/originalTipsContainer"
                android:layout_width="268dp"
                android:layout_height="64dp"
                android:layout_alignParentRight="true"
                android:layout_marginRight="8dp"
                android:visibility="gone"
                tools:visibility="visible">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/pic_original_pop" />

                <TextView
                    android:id="@+id/originalTipsClose"
                    android:layout_width="36dp"
                    android:layout_height="36dp"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="12dp"
                    android:layout_marginRight="8dp" />
            </RelativeLayout>
        </RelativeLayout>

    </LinearLayout>
</RelativeLayout>